Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://api.artaios.ai/api/v1/sessions/ \ -H "x-api-key: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Support Session", "agent_type": "llm_agent", "system_prompt": "You are a helpful customer support agent.", "llm_config": { "model": "gpt-4o", "temperature": 0.7 }, "tools": ["tavily_search"] }'
import requests config = { "name": "Support Session", "agent_type": "llm_agent", "system_prompt": "You are a helpful customer support agent.", "llm_config": { "model": "gpt-4o", "temperature": 0.7 }, "tools": ["tavily_search"] } response = requests.post( "https://api.artaios.ai/api/v1/sessions/", headers={"x-api-key": "YOUR_API_KEY"}, json=config ) session = response.json()
const config = { name: "Support Session", agent_type: "llm_agent", system_prompt: "You are a helpful customer support agent.", llm_config: { model: "gpt-4o", temperature: 0.7 }, tools: ["tavily_search"] }; const response = await fetch('https://api.artaios.ai/api/v1/sessions/', { method: 'POST', headers: { 'x-api-key': 'YOUR_API_KEY', 'Content-Type': 'application/json' }, body: JSON.stringify(config) }); const session = await response.json();
{ "success": true, "session_id": "session_abc123", "config_hash": "a1b2c3d4e5f6" }
session_id